summaryrefslogtreecommitdiff
path: root/tools/install.sh
diff options
context:
space:
mode:
authorAlexander Berezovsky <ab@plumdistrict.com>2012-06-28 13:37:00 -0700
committerAlexander Berezovsky <ab@plumdistrict.com>2012-06-28 13:37:00 -0700
commit34f3d4d4988a8a8f7b5a109f2041923b1f7317e5 (patch)
treed5e5fe1d15dca13a270de99fa21406192beb4a87 /tools/install.sh
parent4a2e9ed0393b74a4e4b42766a5859e6634ce4c65 (diff)
parentd165a84dc0e8d2eb0774ed26995e7046c0aff41f (diff)
downloadzsh-34f3d4d4988a8a8f7b5a109f2041923b1f7317e5.tar.gz
zsh-34f3d4d4988a8a8f7b5a109f2041923b1f7317e5.tar.bz2
zsh-34f3d4d4988a8a8f7b5a109f2041923b1f7317e5.zip
Merge branch 'master' of git://github.com/robbyrussell/oh-my-zsh
Diffstat (limited to 'tools/install.sh')
-rwxr-xr-xtools/install.sh7
1 files changed, 2 insertions, 5 deletions
diff --git a/tools/install.sh b/tools/install.sh
index 8ca427d2c..b080be3a1 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -5,13 +5,10 @@ then
fi
echo "\033[0;34mCloning Oh My Zsh...\033[0m"
-which git > /dev/null
-if [[ $? -eq 0 ]]; then
- /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
-else
+hash git >/dev/null && /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh || {
echo "git not installed"
exit
-fi
+}
echo "\033[0;34mLooking for an existing zsh config...\033[0m"
if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]